Elog - Bug #18313

Non ISO character in uploaded file name
11/16/2017 11:00 AM - Kyle Hazelwood

Status: New Start date: 11/16/2017
Priority: Urgent Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Server Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

Some one was able to upload a file (png) with a file name that contained multiple non ISO characters. While the elog handled it just
fine, the api when parsing the XML barked about it. The file upload scheme should check for no ISO character names and complain
to the user if some are found.

File id: 130561 still has the bad characters in its file name. I've kept in in there for testing this bug but the entry itself is using a
duplicate image with a different file name.

History

#1 - 04/05/2018 01:38 PM - Kyle Hazelwood

- Priority changed from Normal to Urgent

#2 - 05/23/2019 04:05 PM - Kyle Hazelwood
- File 2019-05-23.16.04.03.187.png added

Still happening. A console was running an old Chips Auto Copy version that named files with a non standard character. Also, the file uploader spits
out non-sense when the user tries to upload one of these files with a non-ISO character file name. We confirmed, that renaming the file fixes the
problem.

Files

2019-05-23.16.04.03.187.png 44.9 KB 05/23/2019 Kyle Hazelwood
